## kxmleditor-trinity 14.0.9

=== debian/changelog ===
kxmleditor-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 16:21:18 +0200

kxmleditor-trinity (1.1.4-4debian7.0.0+0) wheezy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 26 Mar 2016 11:50:05 +0100

kxmleditor (1.1.4-3.1) unstable; urgency=low

  * Non-maintainer upload to fix Failure To Build From Source due to lack of
    compatibility with autoconf2.6.  Thanks to Arjan Oosting for the patch.
    (Closes: #379813)

 -- Margarita Manterola <marga@debian.org>  Wed,  2 Aug 2006 17:57:34 -0300

kxmleditor (1.1.4-3) unstable; urgency=low

  * Acknowledge NMU (Closes: #334997), but revert it's changes, because the
    toolchain is fixed, and g++-3.4 is no longer needed to compile on arm,
    hppa and m68k.
  * Fix the installation directory of the user documentation: force it to be
    ${datadir}/doc/kde/HTML by exporting kde_htmldir with that value assigned
    (Closes: #330175).
  * Update libtool and other build system files. (Closes: #343953).
    - Add new patch: 01_admin_update.diff. Updates the admin/ directory to the
      one in branches/KDE/3.5 of the KDE SVN repository (revision 490256).
    - Build-Depend on autotools-dev and libtool, and copy config.guess,
      config.sub, libtool.m4, and ltmain.sh to the source in the clean target
      of debian/rules.
  * Small changes in debian/rules:
    - Use config.status as dependency of the "build" target, and remove the
      "configure" one.
    - Force C collation on sort invocations in debian/rules.
  * Update automake build-dependency to automake1.9.
  * Raise debhelper compatibility level to 5 (no changes required).
  * Update debian/watch to version 3.
  * Use lowercase in the manpage for the name of the program.
  * Raised Standards-Version to 3.7.2.0 (no changes required).

 -- Alejandro Exojo Piqueras <suy@badopi.org>  Tue, 16 May 2006 14:31:54 +0200

kxmleditor (1.1.4-2.1) unstable; urgency=medium

  * NMU during BSP
  * Compile with g++-3.4 on arm/hppa/m68k to work around ICE
    with g++-4.0 (Closes: #334997)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 28 Oct 2005 22:14:21 +0200

kxmleditor (1.1.4-2) unstable; urgency=low

  * Rebuilt against a kdelibs version compiled with GCC 4 (Closes: #327975).
  * No longer use admin/debianrules and debian/debiandirs (and remove the
    latter from the package). Now the prefix is retrieved using kde-config,
    and DEB_BUILD_OPTIONS is honoured in rules directly: the check for "noopt"
    now sets CXXFLAGS instead of CFLAGS, and the variable is exported before
    configuration. "nostrip" is honoured by dh_strip.
  * Add the patch 04_german_po_fixes.diff, made by Jens Seidel, which fixes
    some mistakes in the German translation (Closes: #314019).
  * Raised Standards-Version to 3.6.2 (no changes required).

 -- Alejandro Exojo Piqueras <suy@badopi.org>  Sat, 17 Sep 2005 19:10:19 +0200

kxmleditor (1.1.4-1) unstable; urgency=low

  * New upstream release (Closes: #277487).
  * New maintainer (Closes: #255299), thanks Mike for the previous work.
  * Added a watch file for DEHS (by Mike Hommey).
  * Corrected the description by a native English speaker. ;-)
  * Moved section from "editors" to "kde".
  * Updated "Build-Depends": changed libqt3-compat-headers to qt3-dev-tools
    greater or equal than 3.3 (because it contains files created with
    designer 3.3) and added automake1.7 and sharutils (for future uuencoded
    diffs).
  * Add "Build-Conflict" with old autoconf/automake versions.
  * Reflex the work of all mantainers, and added the GPL excerpt in
    debian/copyright.
  * Add scapes to unscaped dashes in manpage.
  * Quoted all entries, and deleted obsolete "kderemove" in debian/menu.
  * debian/rules:
    - Keep change from Frank Lichtenheld's NMU, because it is still needed to
      create in the correct place the UIC-generated headers.
    - Delete stamps at the beggining of clean target. (Policy 4.8)
    - Moved the creation of the symbolic link to kxmleditor.links.
    - Add support for build directory different from source directory.
    - Pass --enable-final to configure.
    - Remove dh_installinfo and lintian overrides.
    - Moved DH_COMPAT to debian/compat.
  * Removed shlibs.local and kxmleditor.lintian, aren't necessary anymore.
  * Added a patch-system and two patches:
    - patches/02_part_makefile_am.diff: Fixes LIBADD and installation prefixes.
    - patches/03_include_mocs.diff: Includes MOC files in the source files.

 -- Alejandro Exojo Piqueras <suy@badopi.org>  Fri, 07 Jan 2005 12:05:07 +0100

kxmleditor (1.0.0-1.1) unstable; urgency=low

  * NMU
  * Fix build problems with Qt 3.3 by forcing the regeneration
    of all source files. Fix suggested by Ben Burton (Closes: #265680)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 16 Sep 2004 01:39:40 +0200

kxmleditor (1.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules: fixed once and for all the CFLAGS setting.

 -- Mike Hommey <mh@glandium.org>  Tue, 27 Jan 2004 16:33:57 +0900

kxmleditor (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.6.1.
  * debian/rules:
    - Removed the unneeded INSTALL_PROGRAM environment variable setting.
    - Removed the alpha workaround, which should not be needed anymore.
    - Fixed the configure call so that the build system works as expected
      (for CFLAGS and arch detection)
    - Added an install-stamp rule.
    - Cleaned up unneeded variables.

 -- Mike Hommey <mh@glandium.org>  Wed, 14 Jan 2004 19:40:56 +0900

kxmleditor (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Mon,  5 Jan 2004 16:02:28 +0900

kxmleditor (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Mike Hommey <mh@glandium.org>  Sat, 27 Dec 2003 18:23:47 +0900

kxmleditor (0.8.4-1) unstable; urgency=low

  * New upstream release



## kxmleditor-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( kxmleditor  )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( part )
add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kxmleditor-trinity 14.0.10

=== debian/changelog ===
kxmleditor-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kxmleditor-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
X-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs-trinity-dev
Standards-Version: 3.8.0

Package: kxmleditor-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML Editor for TDE
 KXML Editor is a simple program, that displays and edits the contents of an
 XML file. It can be embedded in Quanta, and used with DCOP.
 .
 The left side contains a tree representing the XML document structure. The
 right side contains a list of attributes for the selected XML element and its
 contents.

## kxmleditor-trinity 14.0.11

=== debian/changelog ===
kxmleditor-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:34:55 +0200

## kxmleditor-trinity 14.0.12

=== debian/changelog ===
kxmleditor-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 07 Feb 2022 13:50:15 +0100

## kxmleditor-trinity 14.0.13

=== debian/changelog ===
kxmleditor-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Sep 2022 04:23:48 +0200

## kxmleditor-trinity 14.1.0

=== debian/changelog ===
kxmleditor-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kxmleditor-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kxmleditor  )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths
@@ -70,8 +73,8 @@
 
 add_subdirectory( part )
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
kxmleditor-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 Sep 2023 04:29:56 +0200

## kxmleditor-trinity 14.1.2

=== debian/changelog ===
kxmleditor-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 02 Apr 2024 09:55:03 +0200

## kxmleditor-trinity 14.1.3

=== debian/changelog ===
kxmleditor-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:50:26 +0200

## kxmleditor-trinity 14.1.4

=== debian/changelog ===
kxmleditor-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kxmleditor-trinity 14.1.5~pre1

=== debian/changelog ===
kxmleditor-trinity (4:14.1.5~pre1-0debian13.0.0+3) trixie; urgency=low

  * Automated git build for 181528976e3e5862b7f53173d2bbae87b65b014e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 X-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev
 Standards-Version: 3.8.0
 
 Package: kxmleditor-trinity

## kxmleditor-trinity 14.1.5

=== debian/changelog ===
kxmleditor-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kxmleditor-trinity 14.1.6~pre0

=== debian/changelog ===
kxmleditor-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 181528976e3e5862b7f53173d2bbae87b65b014e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kxmleditor-trinity 14.1.6~pre1

=== debian/changelog ===
kxmleditor-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7707e64a92deb5f12a0442b3c739a83d01da51a7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:32:41 +0100

## kxmleditor-trinity 14.2.0~pre20

=== debian/changelog ===
kxmleditor-trinity (4:14.2.0~pre20-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 554e32508337c6529eadbb40bf1b01f2de066830
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kxmleditor-trinity 14.2.0~pre21

=== debian/changelog ===
kxmleditor-trinity (4:14.2.0~pre21-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for a44ff5fbf50c371c3871eae8443e861a19e69c2d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kxmleditor

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:53:10 +0100
